org.apache.lucene.codecs

## Class MissingOrdRemapper

- java.lang.Object
- - org.apache.lucene.codecs.MissingOrdRemapper

-     public class MissingOrdRemapper
      extends Object

  a utility class to write missing values for SORTED as if they were the empty string (to simulate pre-Lucene4.5 dv behavior for testing old codecs)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingOrdRemapper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<BytesRef>` | `insertEmptyValue(Iterable<BytesRef> iterable)` insert an empty byte[] to the front of this iterable
    `static Iterable<Number>` | `mapAllOrds(Iterable<Number> iterable)` remaps every ord+1 on this iterable
    `static Iterable<Number>` | `mapMissingToOrd0(Iterable<Number> iterable)` remaps ord -1 to ord 0 on this iterable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingOrdRemapper

          public MissingOrdRemapper()

  - ### Method Detail

    - #### insertEmptyValue

          public static Iterable<BytesRef> insertEmptyValue(Iterable<BytesRef> iterable)

      insert an empty byte[] to the front of this iterable

    - #### mapMissingToOrd0

          public static Iterable<Number> mapMissingToOrd0(Iterable<Number> iterable)

      remaps ord -1 to ord 0 on this iterable.

    - #### mapAllOrds

          public static Iterable<Number> mapAllOrds(Iterable<Number> iterable)

      remaps every ord+1 on this iterable

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.